<?php
/* Load the stamp and the image to apply the watermark */


$stamp = imagecreatefrompng('copyrights.png');
$image = imagecreatefromjpeg('flower.jpeg');

// Set the margins for the stamp and get the height/width of the stamp image
$marge_right = 200;
$marge_bottom = 150;
$sx = imagesx($stamp);
$sy = imagesy($stamp);

// Copy the stamp image onto our photo using the margin offsets and the photo 
// width to calculate positioning of the stamp. 
imagecopy($image, $stamp, imagesx($image) - $sx - $marge_right, imagesy($image) - $sy - $marge_bottom, 0, 0, imagesx($stamp), imagesy($stamp));
// Output and free memory
header('Content-type: image/png');
imagepng($image);
imagedestroy($image); 